//
// Created by taynpg on 24-8-6.
//

#ifndef FUNCTIONIMP_H
#define FUNCTIONIMP_H
#include <wx/arrstr.h>
#include <list>

class CPublic
{
public:
    static bool write_txt(const wxString& content, const wxString& path);
    static bool gen_default_png(const wxString& path);
};

class CFunPack
{
public:
    CFunPack();
private:
    wxString filename_;
    wxString dest_dir_;

public:
    bool gen(const wxString& bin, const wxString& out_dir, const wxArrayString& dirs);
    wxArrayString get_depend_on(const wxString& bin, const wxArrayString& dirs);
    std::list<wxString> parse_result(const wxArrayString& array);
    bool handle_copy(const std::list<wxString>& rets, const wxString& dest_dir);
};

class CFunInstall
{
public:
    CFunInstall();

public:
    bool install(const wxString& file, const wxString& category, const wxString& ico = "");
};

#endif   // FUNCTIONIMP_H
